package Übungen;
import java.lang.reflect.Array;
import java.util.ArrayList;

public class PersonalVerwaltung extends Mitarbeiter {

    ArrayList <Mitarbeiter> mitarbeiterList = new ArrayList<>();
    ArrayList <Abrechnung> AbrechnungenList = new ArrayList<>();

    public void setAbrechnung(Abrechnung ab){
        this.AbrechnungenList.add(ab);
    }

    public ArrayList<Abrechnung> getAbrechnungs(){

        return this.AbrechnungenList;
    }

    public void removeAbrechnung(Abrechnung ab){

        if (this.AbrechnungenList.contains(ab))
            this.AbrechnungenList.remove(ab);
        else
            System.err.println("Abrechnung ist nicht da!");
    }


    public void setMitarbeiter(Mitarbeiter ma){

        this.mitarbeiterList.add(ma);
    }
    public ArrayList<Mitarbeiter> getMitarbeiter(){

        return mitarbeiterList;
    }

    public void removeMitarbeiter(Mitarbeiter m1){
        if (this.mitarbeiterList.contains(m1))
            this.mitarbeiterList.remove(m1);
        else
            System.err.println("Mitarbeiter existiert nicht!");;
    }   
    
    
}
